import { OnInit } from '@angular/core';
import { EnvConfig } from '../../interface/env-config';
import { User } from '../../interface/user';
import { AngularFirestore } from '@angular/fire/firestore';
import { Router } from '@angular/router';
import { AuthService } from '../../service/auth.service';
import { NzMessageService, NzI18nService } from 'ng-zorro-antd';
export declare class DashboardComponent implements OnInit {
    private config;
    private afs;
    private router;
    private auth;
    private i18n;
    private message;
    now: Date;
    brand: string;
    brandURL: string;
    isCollapsed: boolean;
    isReverseArrow: boolean;
    width: number;
    user: User;
    isLoginPage: boolean;
    sub: any;
    constructor(config: EnvConfig, afs: AngularFirestore, router: Router, auth: AuthService, i18n: NzI18nService, message: NzMessageService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    signout(): void;
}
