import { OnInit, OnDestroy } from '@angular/core';
import { AngularFirestore } from '@angular/fire/firestore';
import { AuthService } from '../../service/auth.service';
import { Observable } from 'rxjs';
import { Post } from '../../interface/post';
import { HelperService } from '../../service/helper.service';
import { TableHeader } from '../../interface/table';
export declare class PostsComponent implements OnInit, OnDestroy {
    private auth;
    private afs;
    private helper;
    items: Observable<Post[] | {
        $key: string;
    }[]>;
    header: Array<TableHeader>;
    constructor(auth: AuthService, afs: AngularFirestore, helper: HelperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
