import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { AuthService } from '../../service/auth.service';
import { Router } from '@angular/router';
import { NzMessageService } from 'ng-zorro-antd';
import { EnvConfig } from '../../interface/env-config';
export declare class SignupComponent implements OnInit {
    private config;
    private fb;
    private auth;
    private router;
    private message;
    validateForm: FormGroup;
    isLoading: boolean;
    constructor(config: EnvConfig, fb: FormBuilder, auth: AuthService, router: Router, message: NzMessageService);
    ngOnInit(): void;
    submitForm(): void;
}
